org.jbpm.casemgmt.impl.wih

## Class NotifyParentCaseEventListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.casemgmt.impl.wih.NotifyParentCaseEventListener

- All Implemented Interfaces:
    EventListener, CaseEventListener, org.kie.api.event.process.ProcessEventListener, org.kie.internal.runtime.Cacheable

      public class NotifyParentCaseEventListener
      extends org.kie.api.event.process.DefaultProcessEventListener
      implements CaseEventListener, org.kie.internal.runtime.Cacheable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyParentCaseEventListener(org.kie.internal.identity.IdentityProvider identityProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCaseCancelled(CaseCancelEvent event)`
    `void` | `afterCaseClosed(CaseCloseEvent event)`
    `void` | `afterCaseDestroyed(CaseDestroyEvent event)`
    `void` | `afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`
    `void` | `close()`
    `protected CaseFileInstance` | `getCaseFile(org.kie.api.runtime.KieSession ksession)`
    `protected void` | `notifyParentOnCompletion(CaseEvent event)`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.casemgmt.api.event.CaseEventListener

      `afterCaseCommentAdded, afterCaseCommentRemoved, afterCaseCommentUpdated, afterCaseDataAdded, afterCaseDataRemoved, afterCaseReopen, afterCaseRoleAssignmentAdded, afterCaseRoleAssignmentRemoved, afterCaseStarted, afterDynamicProcessAdded, afterDynamicTaskAdded, beforeCaseCancelled, beforeCaseClosed, beforeCaseCommentAdded, beforeCaseCommentRemoved, beforeCaseCommentUpdated, beforeCaseDataAdded, beforeCaseDataRemoved, beforeCaseDestroyed, beforeCaseReopen, beforeCaseRoleAssignmentAdded, beforeCaseRoleAssignmentRemoved, beforeCaseStarted, beforeDynamicProcessAdded, beforeDynamicTaskAdded`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated`

- - ### Constructor Detail

    - #### NotifyParentCaseEventListener

          public NotifyParentCaseEventListener(org.kie.internal.identity.IdentityProvider identityProvider)

  - ### Method Detail

    - #### afterCaseClosed

          public void afterCaseClosed(CaseCloseEvent event)

      Specified by:
        `afterCaseClosed` in interface `CaseEventListener`

    - #### afterCaseCancelled

          public void afterCaseCancelled(CaseCancelEvent event)

      Specified by:
        `afterCaseCancelled` in interface `CaseEventListener`

    - #### afterCaseDestroyed

          public void afterCaseDestroyed(CaseDestroyEvent event)

      Specified by:
        `afterCaseDestroyed` in interface `CaseEventListener`

    - #### afterProcessCompleted

          public void afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `afterProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `afterProcessCompleted` in class `org.kie.api.event.process.DefaultProcessEventListener`

    - #### notifyParentOnCompletion

          protected void notifyParentOnCompletion(CaseEvent event)

    - #### getCaseFile

          protected CaseFileInstance getCaseFile(org.kie.api.runtime.KieSession ksession)

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.